commit:     cfb47a5cac3aad029ebeb9083bc6f61717ba8512
Author:     Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 27 00:23:36 2026 +0000
Commit:     Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Fri Feb 27 00:23:36 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfb47a5c

www-client/opera: automated bump (128.0.5807.25)

Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>

 www-client/opera/Manifest                   |   1 +
 www-client/opera/opera-128.0.5807.25.ebuild | 143 ++++++++++++++++++++++++++++
 2 files changed, 144 insertions(+)

diff --git a/www-client/opera/Manifest b/www-client/opera/Manifest
index 5a7744268c55..be4ec65ff4c8 100644
--- a/www-client/opera/Manifest
+++ b/www-client/opera/Manifest
@@ -1 +1,2 @@
 DIST opera-stable_127.0.5778.76_amd64.deb 131740580 BLAKE2B 
424a30af01480850137c9bb806d1618d1d046d851e374d138bfe28489a260a5e36078c83ebb2f82fa08aaa0f115955373d85a3bc1b9795fdcb89f6270bf236f8
 SHA512 
2e92d5e4d76373be1e5d4a524d38bb920fd80a744cd6aef23ebc2939bd13d3686a62de1f65944c368e3279599e1239b65cf656b0bd25e296213693eb4ae88723
+DIST opera-stable_128.0.5807.25_amd64.deb 132455680 BLAKE2B 
923eea2c042946483a1f171ffeec15b1546670ea0e4e3912e052958dff4d59cb11c17e693540707436ffce3dc72a5597a6593581cd21b677a2acc18396efc154
 SHA512 
5602d7318eaabbb6cc924e9e183848bcbbce41a159ab161065550a119aea9d3bce11ea346a77ef6561a75bde0cc92cf5c68e308929def64a8ce8410694148769

diff --git a/www-client/opera/opera-128.0.5807.25.ebuild 
b/www-client/opera/opera-128.0.5807.25.ebuild
new file mode 100644
index 000000000000..9724c3424625
--- /dev/null
+++ b/www-client/opera/opera-128.0.5807.25.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+       bg bn ca cs da de el en-GB en-US es-419 es fil fi fr hi hr hu id
+       it ja ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk 
vi
+       zh-CN zh-TW
+"
+
+inherit chromium-2 pax-utils unpacker xdg
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="https://www.opera.com/";
+
+SRC_URI_BASE=(
+       "https://download1.operacdn.com/pub/${PN}";
+       "https://download2.operacdn.com/pub/${PN}";
+       "https://download3.operacdn.com/pub/${PN}";
+       "https://download4.operacdn.com/pub/${PN}";
+)
+
+if [[ ${PN} == opera ]]; then
+       MY_PN=${PN}-stable
+       SRC_URI_BASE=( "${SRC_URI_BASE[@]/%//desktop}" )
+else
+       MY_PN=${PN}
+fi
+
+# Commit ref from `strings libffmpeg.so | grep -F "FFmpeg version"` matches 
this Chromium version
+# or use Chromicler to handle bumps.
+# Does not _need_ to be updated for every new version of Opera, only when it 
breaks.
+CHROMIUM_VERSION="143"
+SRC_URI="${SRC_URI_BASE[*]/%//${PV}/linux/${MY_PN}_${PV}_amd64.deb}"
+S=${WORKDIR}
+
+LICENSE="OPERA-2018"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="+ffmpeg-chromium +proprietary-codecs +suid qt6"
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       gnome-base/gsettings-desktop-schemas
+       media-libs/alsa-lib
+       media-libs/mesa[gbm(+)]
+       net-misc/curl
+       net-print/cups
+       sys-apps/dbus
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libdrm
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/libxshmfence
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrandr
+       x11-libs/pango
+       proprietary-codecs? (
+               !ffmpeg-chromium? ( 
>=media-video/ffmpeg-6.1-r1:0/58.60.60[chromium] )
+               ffmpeg-chromium? ( 
media-video/ffmpeg-chromium:${CHROMIUM_VERSION} )
+       )
+       qt6? ( dev-qt/qtbase:6[gui,widgets] )
+"
+
+QA_PREBUILT="*"
+OPERA_HOME="opt/${MY_PN}"
+
+pkg_pretend() {
+       # Protect against people using autounmask overzealously
+       use amd64 || die "opera only works on amd64"
+}
+
+pkg_setup() {
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+       :
+}
+
+src_install() {
+       dodir /
+       cd "${ED}" || die
+       unpacker
+
+       # move to /opt, bug #573052
+       mkdir opt || die
+       mv "usr/lib/x86_64-linux-gnu/${MY_PN}" "${OPERA_HOME}" || die
+       rm -r "usr/lib" || die
+
+       # disable auto update
+       rm "${OPERA_HOME}/${PN%-*}_autoupdate"{,.licenses,.version} || die
+
+       rm -r "usr/share/lintian" || die
+
+       # fix docs
+       mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+       gzip -d usr/share/doc/${PF}/changelog.gz || die
+
+       # fix desktop file
+       sed -i \
+               -e 's|^TargetEnvironment|X-&|g' \
+               usr/share/applications/${PN}.desktop || die
+
+       # remove unused language packs
+       pushd "${OPERA_HOME}/localization" > /dev/null || die
+       chromium_remove_language_paks
+       popd > /dev/null || die
+
+       # setup opera symlink
+       rm "usr/bin/${PN}" || die
+       dosym "../../${OPERA_HOME}/${PN}" "/usr/bin/${PN}"
+
+       # install proprietary codecs
+       rm "${OPERA_HOME}/resources/ffmpeg_preload_config.json" || die
+       if use proprietary-codecs; then
+               dosym ../../usr/$(get_libdir)/chromium/libffmpeg.so$(usex 
ffmpeg-chromium .${CHROMIUM_VERSION} "") \
+                         /${OPERA_HOME}/libffmpeg.so
+       fi
+
+       rm "${OPERA_HOME}/libqt5_shim.so" || die
+       if ! use qt6; then
+               rm "${OPERA_HOME}/libqt6_shim.so" || die
+       fi
+
+       # pax mark opera, bug #562038
+       pax-mark m "${OPERA_HOME}/opera"
+       # enable suid sandbox if requested
+       use suid && fperms 4711 "/${OPERA_HOME}/opera_sandbox"
+}

Reply via email to